JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
DirectoryContentsList::FileInfo Struct Reference
juce_gui_basics » filebrowser

Contains cached information about one of the files in a DirectoryContentsList. More...

`#include <juce_DirectoryContentsList.h>`

## Public Attributes
String | filename
| The filename.
int64 | fileSize
| File size in bytes.
Time | modificationTime
| File modification time.
Time | creationTime
| File creation time.
bool | isDirectory
| True if the file is a directory.
bool | isReadOnly
| True if the file is read-only.

## Detailed Description

Contains cached information about one of the files in a DirectoryContentsList.

## Member Data Documentation

## ◆ filename

String DirectoryContentsList::FileInfo::filename

The filename.

This isn't a full pathname, it's just the last part of the path, same as you'd get from File::getFileName().

To get the full pathname, use DirectoryContentsList::getDirectory().getChildFile (filename).

## ◆ fileSize

int64 DirectoryContentsList::FileInfo::fileSize

File size in bytes.

## ◆ modificationTime

Time DirectoryContentsList::FileInfo::modificationTime

File modification time.

As supplied by File::getLastModificationTime().

## ◆ creationTime

Time DirectoryContentsList::FileInfo::creationTime

File creation time.

As supplied by File::getCreationTime().

## ◆ isDirectory

bool DirectoryContentsList::FileInfo::isDirectory

True if the file is a directory.

## ◆ isReadOnly

bool DirectoryContentsList::FileInfo::isReadOnly

True if the file is read-only.

The documentation for this struct was generated from the following file:

- juce_DirectoryContentsList.h